Set Pin
This API is used to set pin for the card which needs to be entered for making the payment transaction. We must pass entity id, kit no, pin and expiry date in request. If the request has valid details, we will get a success response.
https://kraken.airpay.co.in/airpay/ms/cards/api/set-pinHeader
Section titled “Header”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| token required | text ( 1-10) | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps | |
| checksum required | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
Request Body
Section titled “Request Body”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| entity_id required | text (1-50) | The Customer Id registered with the system | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| kit_no required | text (1-16) | Kit no. for which the pin needs to be set | 100000001203 |
| pin required | numeric (1-4) | PIN is 4 digits .Pin will expire in 365 days | 1234 |
| expiryDate required | text (1-4) | MMYY Format EG:1021 | 0224 |
Success 200
Section titled “Success 200”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| status required | numeric ( 1-3) | airpay status | 400,200 |
| message required | text | airpay status message | Success,Fail |
| data required | json | {""} |
Success Response
Section titled “Success Response”{ "status": 200, "message": "SUCCESS", "data": []}Error Response
Section titled “Error Response”{ "status": 400, "message": "fail"}